%{
    #include <stdio.h>
    extern void yyerror(char*);
%}

%token NEW LANGUAGE ADD WORD IN TRANSLATE FROM TO EQUALS STRING
%define parse.error verbose
%start command

%%

command : language_command { printf("Found a language command.\n"); }
        | word_command { printf("Found a word command.\n"); }
        | translate_command { printf("Found a translate command.\n"); }
        ;

language_command : NEW LANGUAGE STRING
          ;

word_command : ADD WORD STRING IN STRING EQUALS STRING IN STRING
          ;

translate_command : TRANSLATE STRING FROM STRING TO STRING
          ;

%%

int main() {
    printf("Enter a command:\n");
    yyparse();
    printf("Ok!\n");
    return 0;
}

void yyerror(char *s) {
    printf("Incorrect animal input! Error message: %s\n", s);
}

int yywrap(void) {
    return 1;
}
